#!/bin/sh

modprobe gumsense

# Setup devices
ln -s /dev/ttyS1 /dev/gps
ln -s /dev/ttyS2 /dev/gprs
ln -s /dev/ttyS3 /dev/probe

# Remove the ppp lock file
rm -f /var/run/ppp-gw-gprs.pid

# All GPIOs are "out clear" on boot
# Snow sensor is /ON therefore turn off
echo "GPIO out set" > /proc/gpio/GPIO68

# Configure the serial ports
#STUART
echo "AF2 in" > /proc/gpio/GPIO46
echo "AF1 out" > /proc/gpio/GPIO47

#HWUART
echo "AF1 in" > /proc/gpio/GPIO49
echo "AF1 out" > /proc/gpio/GPIO48

#BTUART
echo "AF1 in" > /proc/gpio/GPIO42
echo "AF2 out" > /proc/gpio/GPIO43

# Bring usb0 up
ifconfig usb0 192.168.1.202/24 up

cd /home/root
./keepalive.sh &
echo 15 > /proc/$!/oom_adj
./libgum/gum-loadtime
python /home/root/gwstation.py  -B -d &
echo -17 > /proc/$!/oom_adj

